package OpenILS::App::Auth;
use base qw/OpenILS::Application/;
use OpenILS::Application;
use OpenILS::Utils::Logger qw/:level/;
use OpenILS::DomainObject::oilsResponse;
use OpenILS::DomainObject::oilsPrimitive;
use OpenILS::DOM::Element::userAuth;
use OpenILS::EX;
use strict;
use warnings;

my $log = "OpenILS::Utils::Logger";

#sub method_lookup { return \&authenticate; }

sub authenticate_1_action { 1 };
sub authenticate_1 {
	my( $app_request, $username, $secret, $hashseed ) = @_;

	$log->debug("Authenticating user [$username]",DEBUG);

	my $result = OpenILS::DomainObject::oilsResult->new();

	$log->debug("$username is authenticated",DEBUG);
	$result->content( OpenILS::DomainObject::oilsScalar->new("yes") );
	return $result;

}


1;
