package OpenILS::App::DUMMY;
use OpenILS::DomainObject::oilsResponse;
use OpenILS::Utils::Logger qw/:level/;
use vars qw/$log/;

$log = 'OpenILS::Utils::Logger';

sub method_lookup {
	return sub {
		my $client = shift;
		my @args = @_;

		$log->debug("running dummy method", INTERNAL);

		my $result = OpenILS::DomainObject::oilsResponse->new(text => 'I WORKED! '. $client->session_id .
					" -- " . join('|', reverse(@args)) );

		$log->debug("sending result".$result->toString(1), INTERNAL);

		$client->send('RESULT', $result);
	};
}

1;
