package OpenILS::Transport::SlimJabber;
use base qw/OpenILS::Transport/;

=head2 OpenILS::Transport::SlimJabber

Implements the Transport interface for providing the system with appropriate
classes for handling transport layer messaging

=cut


sub get_listener { return "OpenILS::Transport::SlimJabber::Inbound"; }

sub get_peer_client { return "OpenILS::Transport::SlimJabber::PeerConnection"; }

sub get_msg_envelope { return "OpenILS::Transport::SlimJabber::MessageWrapper"; }

1;
